<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
    crossorigin="anonymous"></script>

  <link rel="icon" href="favIcon.png" type="image/icon type">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <title>Register</title>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">NPC</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="./home.html">Home</a>
          </li>

          <li class="nav-item">
            <a id="login-a" class="nav-link active" aria-current="page" href="./login.html">Login</a>
          </li>

        </ul>

      </div>
    </div>
  </nav>
  <div class="container">
    <form class="form-signin" id="register-form" autocomplete="off">
      <h1 class="h3 mb-3 font-weight-normal text-center m-3">Register an account</h1>
      <div class="mb-3">
        <label for="inputEmail" class="sr-only">Email</label>
        <input type="email" id="inputEmail" name="username" class="form-control" placeholder="Email" required />
      </div>
      <div class="mb-3">

        <label for="inputUsername" class="form-label">Username</label>
        <div class="input-group has-validation">
          <!-- <label for="inputUsername" class="sr-only">Username</label> -->
          <input type="text" id="inputUsername" name="username" class="form-control" placeholder="Username" required />
          <div class="invalid-feedback">
            Minimum 8 characters, at least one letter and one number:
          </div>
        </div>
      </div>
      <div class="mb-3">
        <label for="inputPassword" class="form-label sr-only">Password</label>
        <div class="input-group has-validation">
          <!-- <label for="inputPassword" class="sr-only">Password</label> -->
          <input type="password" id="inputPassword" name="password" class="form-control" placeholder="Password"
            required />
          <div class="invalid-feedback">
            Minimum eight characters, at least one letter, one number and one special character:
          </div>

        </div>
        <br>
        <div class="mb-3">
          <button class="btn btn-lg btn-primary btn-block" id="submit-btn" type="submit">
            Register
          </button>
        </div>
        <div class="mb-3">
          <div class="alert alert-primary" id="register-msg" role="alert" hidden></div>
        </div>
        <script type="text/javascript" src="./js/nav.js"></script>
        <script src="register.js"></script>

    </form>
  </div>
</body>

</html>